Bug 90335 - psselect should return error code if no given page is found
psselect should return error code if no given page is found
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: psutils (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-07 00:14 EDT by Jacek Pliszka
Modified: 2007-07-24 10:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jacek Pliszka 2003-05-07 00:14:05 EDT
Description of problem:
psselect does not return error code when it is asked to select the
non-existing page 

Version-Release number of selected component (if applicable):
1.17-13

How reproducible:
psselect -p# file.ps
where # is a number for non-existing page in file.ps like 7 for file with 5 
pages only

Steps to Reproduce:
1. psselect -p# file.ps && echo "This should not appear when # does not exist"
2.
3.
    
Actual results:
It appears even for non-existing pages.

Expected results:
It does not appear.

Additional info:
It would be very usefull for example for splitting given file into 1-page
files.
Comment 1 Tim Waugh 2003-05-07 05:32:40 EDT
I don't think the upstream package is maintained any longer.
Comment 2 Bill Nottingham 2006-08-05 01:37:48 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 13:16:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.